{ config, lib, pkgs, ... }:

with lib;

let cfg = config.programs.element-desktop;
in {
  options.programs.element-desktop = {
    enable = mkEnableOption "element-desktop";
  };

  config = mkIf cfg.enable {
    home.packages = [ pkgs.element-desktop ];

    home.file.".config/Element/config.json".text = ''
      {
          "settingDefaults": {
              "custom_themes": [
                  {
                      "name": "Dracula",
                      "is_dark": true,
                      "colors": {
                          "accent-color": "#bd93f9",
                          "primary-color": "#bd93f9",
                          "warning-color": "#bd93f9",
                          "sidebar-color": "#1e1f29",
                          "roomlist-background-color": "#1e1f29",
                          "roomlist-text-color": "#eeeeee",
                          "roomlist-text-secondary-color": "#eeeeee",
                          "roomlist-highlights-color": "#00000030",
                          "roomlist-separator-color": "#4d4d4d90",
                          "timeline-background-color": "#282A36",
                          "timeline-text-color": "#eeeeee",
                          "timeline-text-secondary-color": "#dddddd",
                          "timeline-highlights-color": "#00000030",
                          "reaction-row-button-selected-bg-color": "#b9bbbe"
                      }
                  },
                  {
                      "name": "Nord dark theme",
                      "is_dark": true,
                      "colors": {
                          "accent-color": "#a3be8c",
                          "primary-color": "#88c0d0",
                          "warning-color": "#bf616a",

                          "sidebar-color": "#2e3440",
                          "roomlist-background-color": "#3b4252",
                          "roomlist-text-color": "#ebcb8b",
                          "roomlist-text-secondary-color": "#e5e9f0",
                          "roomlist-highlights-color": "#2e3440",
                          "roomlist-separator-color": "#434c5e",

                          "timeline-background-color": "#434c5e",
                          "timeline-text-color": "#eceff4",
                          "timeline-text-secondary-color": "#81a1c1",
                          "timeline-highlights-color": "#3b4252",
                          "reaction-row-button-selected-bg-color": "#bf616a"
                      }
                  }
              ]
          },
          "showLabsSettings": true
      }
    '';
  };
}
