{ config, lib, pkgs, ... }:

{
  programs.wal = {
    enable = true;
    background = pkgs.fetchurl {
      # From Stefanie Buchanan's ArtStation: https://www.artstation.com/artwork/bK0kkn
      urls = [
        "https://cdnb.artstation.com/p/assets/images/images/029/712/149/large/stefanie-buchanan-img-2414.jpg"
        "http://bafybeiff7bjww2dicbqhfubiq67wma6qrjkkndk6s773glwiystzir2goe.ipfs.localhost:8080/"
        "https://bafybeiff7bjww2dicbqhfubiq67wma6qrjkkndk6s773glwiystzir2goe.ipfs.dweb.link/"
      ];
      name = "wallpaper.jpg";
      sha256 =
        "b6b9b88e10715e9e7dfd33dc80ecfff90fa58f0529e6f7c88f67f34991da57e0";
    };
    shell.enable = false;
    sway.enable = true;
  };

  gtk = {
    enable = true;

    theme.name = "Equilux";
    theme.package = pkgs.equilux-theme;
    font.name = "Fira Sans Condensed Regular 10";
    font.package = pkgs.fira;
    iconTheme.name = "Flat-Remix-Green-Dark";
    iconTheme.package = pkgs.flat-remix-icon-theme;

    gtk3.extraConfig = {
      gtk-xft-antialias = 1;
      gtk-xft-hinting = 1;
      gtk-xft-hintstyle = "hintmedium";
      gtk-xft-rgba = "rgb";

      gtk-enable-animations = false;
    };
  };
}
