{ config, lib, pkgs, ... }:

{
  services.polybar = {
    enable = true;
    package = pkgs.polybar.override {
      pulseSupport = true;
      mpdSupport = true;
      i3GapsSupport = true;
      iwSupport = true;
    };
    script = ''
      polybar main &
      polybar secondary &
    '';
    config = let
      common = {
        width = "100%";
        height = "24pt";

        background = "\${colors.background}";
        foreground = "\${colors.foreground}";

        line-size = "3pt";

        border-size = "12pt";
        border-bottom-size = "0pt";
        border-color = "#00000000";

        padding-left = 0;
        padding-right = 1;

        module-margin = 1;

        separator = "|";
        separator-foreground = "\${colors.disabled}";

        font-0 = "monospace";

        cursor-click = "pointer";
        cursor-scroll = "ns-resize";

        enable-ipc = "true";

        wm-restack = "i3";
      };
    in {
      "bar/main" = {
        monitor = "DisplayPort-0";
        modules-left = "i3 xwindow";
        modules-center = "date";
        modules-right = "pulseaudio xkeyboard memory cpu wlan";
        tray-position = "right";
      } // common;
      "bar/secondary" = {
        monitor = "DisplayPort-1";
        modules-left = "i3 xwindow";
      } // common;
    };
    extraConfig = lib.readFile ./polybar.ini;
  };
}
