{ config, pkgs, lib, ... }:

with lib;
let activeProfiles = config.profiles;
in {
  config = mkIf (elem "amdgpu" activeProfiles) {
    boot.initrd.kernelModules = [ "amdgpu" ];
    services.xserver.videoDrivers = [ "amdgpu" ];
    hardware.opengl.driSupport = true;
    hardware.opengl.extraPackages = with pkgs; [
      rocm-opencl-icd
      rocm-opencl-runtime
      amdvlk
    ];
    hardware.opengl.extraPackages32 = with pkgs.pkgsi686Linux; [ amdvlk ];

    nixpkgs.config.packageOverrides = pkgs: {
      fahclient = pkgs.fahclient.override {
        extraPkgs = with pkgs; [ rocm-opencl-icd rocm-opencl-runtime ];
      };
    };
  };
}
