{ config, pkgs, lib, ... }:

with lib;
let activeProfiles = config.profiles;
in {
  config = mkIf (elem "foldingathome" activeProfiles) {
    services.foldingathome = {
      enable = true;
      user = "cipherrot";
      team = 265265;
      extraArgs = [
        "--config"
        (builtins.toFile "config.xml" ''
          <config>
            <!-- Network -->
            <proxy v=':8080'/>

            <!-- Folding Slots -->
            <slot id='0' type='CPU'/>
            <slot id='1' type='GPU'/>
          </config>
        '')
      ];
    };
  };
}
